import type { Callback } from 'i18next';
import i18next from 'i18next';
import type { InitOptions } from 'i18next';
import { InterfaceSymbol } from '@microsoft/fast-foundation';
import type { StringMap } from 'i18next';
import type { TFunction } from 'i18next';
import type { TOptions } from 'i18next';

/**
 * The I18next interface is used to provide i18n functionality to components.
 * @alpha
 */
export declare interface I18next {
    options: InitOptions;
    language: string;
    init(options: InitOptions, callback?: Callback): Promise<TFunction>;
    t(key: string | string[], options?: string | TOptions<StringMap>): string;
    changeLanguageTo(language: string): void;
}

/**
 * The DI token for the i18n interface.
 * @internal
 */
export declare const I18next: InterfaceSymbol<I18next>;

export { i18next }

export { }
